summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ponce <matteo.bernardini _at_ sns.it>2010-05-13 00:59:46 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:59:46 +0200
commit2766bf779481081aee75e711a0000523f79934d2 (patch)
treee4c2d6051aeb5a7af413e7a113d99be53074db60
parentdf182bd41e121545b11d72caed5bb0eb1b33a5ea (diff)
downloadslackbuilds-2766bf779481081aee75e711a0000523f79934d2.tar.gz
slackbuilds-2766bf779481081aee75e711a0000523f79934d2.tar.xz
multimedia/mpgtx: Added to 13.0 repository
-rw-r--r--multimedia/mpgtx/README4
-rw-r--r--multimedia/mpgtx/mpgtx.SlackBuild76
-rw-r--r--multimedia/mpgtx/mpgtx.info10
-rw-r--r--multimedia/mpgtx/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/multimedia/mpgtx/README b/multimedia/mpgtx/README
new file mode 100644
index 0000000000..c1d06b1feb
--- /dev/null
+++ b/multimedia/mpgtx/README
@@ -0,0 +1,4 @@
+mpgtx a command line MPEG audio/video/system file toolbox, that slices and
+joins audio and video files, including MPEG1, MPEG2 and MP3. mpgtx was
+designed with the good old Unix philosophy in mind: do few but do it well
+and provide end user an austary yet powerful command line interface.
diff --git a/multimedia/mpgtx/mpgtx.SlackBuild b/multimedia/mpgtx/mpgtx.SlackBuild
new file mode 100644
index 0000000000..3aeb1dcd2e
--- /dev/null
+++ b/multimedia/mpgtx/mpgtx.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for mpgtx
+
+# Written by Ponce <matteo.bernardini _at_ sns.it>
+# Modified by Erik Hanson <erik@slackbuilds.org>
+
+PRGNAM=mpgtx
+VERSION=${VERSION:-1.3.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+if [ "$ARCH" = "i486" ]; then
+ sed -i "s|-O3|-O2 -march=i486 -mtune=i686|g" configure
+elif [ "$ARCH" = "i686" ]; then
+ sed -i "s|-O3|-O2 -march=i686 -mtune=i686|g" configure
+elif [ "$ARCH" = "x86_64" ]; then
+ sed -i "s|-O3|-O2 -fPIC|g" configure
+fi
+
+./configure --prefix=/usr
+
+make
+cd man
+make
+cd de
+make
+cd ../..
+
+mkdir -p $PKG/usr/bin
+install -s -m 755 mpgtx $PKG/usr/bin
+
+for l in mpgjoin mpgsplit mpgcat mpginfo mpgdemux tagmp3 ; do
+ ln -s /usr/bin/mpgtx $PKG/usr/bin/$l
+done
+
+mkdir -p $PKG/usr/man/man1
+mkdir -p $PKG/usr/man/de/man1
+cp -a man/*.1 $PKG/usr/man/man1
+cp -a man/de/*.1 $PKG/usr/man/de/man1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/mpgtx/mpgtx.info b/multimedia/mpgtx/mpgtx.info
new file mode 100644
index 0000000000..5c98f10a6e
--- /dev/null
+++ b/multimedia/mpgtx/mpgtx.info
@@ -0,0 +1,10 @@
+PRGNAM="mpgtx"
+VERSION="1.3.1"
+HOMEPAGE="http://mpgtx.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/mpgtx/mpgtx-1.3.1.tar.gz"
+MD5SUM="d628060aa04ad3b40a175bf35f5167cf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ponce"
+EMAIL="matteo.bernardini _at_ sns.it"
+APPROVED="Erik Hanson"
diff --git a/multimedia/mpgtx/slack-desc b/multimedia/mpgtx/slack-desc
new file mode 100644
index 0000000000..e8bc384f83
--- /dev/null
+++ b/multimedia/mpgtx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mpgtx: mpgtx (command line MPEG toolbox)
+mpgtx:
+mpgtx: mpgtx a command line MPEG audio/video/system file toolbox, that slices
+mpgtx: and joins audio and video files, including MPEG1, MPEG2 and MP3.
+mpgtx: mpgtx was designed with the good old Unix philosophy in mind : do few
+mpgtx: but do it well and provide end user an austary yet powerful command
+mpgtx: line interface.
+mpgtx:
+mpgtx: homepage:
+mpgtx: http://mpgtx.sourceforge.net/
+mpgtx: